Bug 29410 - [display html] Argument " 0." isn't numeric in numeric gt (>)
Summary: [display html] Argument " 0." isn't numeric in numeric gt (>)
Status: RESOLVED FIXED
Alias: None
Product: binutils
Classification: Unclassified
Component: gprofng (show other bugs)
Version: 2.39
: P2 normal
Target Milestone: ---
Assignee: Ruud van der Pas
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-07-26 10:18 UTC by Ruud van der Pas
Modified: 2022-08-03 17:35 UTC (History)
2 users (show)

See Also:
Host:
Target:
Build:
Last reconfirmed:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ruud van der Pas 2022-07-26 10:18:35 UTC
There a numerous warnings of the type "Argument " 0." isn't numeric in numeric gt (>)". Clearly the operand used in the comparison is not numeric indeed.
Comment 1 cvs-commit@gcc.gnu.org 2022-08-03 17:23:25 UTC
The master branch has been updated by Vladimir Mezentsev <vmezents@sourceware.org>:

https://sourceware.org/git/gitweb.cgi?p=binutils-gdb.git;h=4d44946794e68cf79cfba467fa414a958dba2185

commit 4d44946794e68cf79cfba467fa414a958dba2185
Author: Ruud van der Pas <ruud.vanderpas@oracle.com>
Date:   Tue Aug 2 10:13:48 2022 -0700

    gprofng: fix bug 29410 - Argument "&nbsp;0." isn't numeric in numeric gt (>)
    
    gprofng/Changelog:
    2022-08-02  Ruud van der Pas  <ruud.vanderpas@oracle.com>
    
            PR gprofng/29410
            * gp-display-html/gp-display-html.in: Remove non-breaking spaces.
Comment 2 cvs-commit@gcc.gnu.org 2022-08-03 17:34:15 UTC
The binutils-2_39-branch branch has been updated by Vladimir Mezentsev <vmezents@sourceware.org>:

https://sourceware.org/git/gitweb.cgi?p=binutils-gdb.git;h=7ca38082b7b66d6604495b47ca253f723a5b7e5c

commit 7ca38082b7b66d6604495b47ca253f723a5b7e5c
Author: Ruud van der Pas <ruud.vanderpas@oracle.com>
Date:   Tue Aug 2 10:13:48 2022 -0700

    gprofng: fix bug 29410 - Argument "&nbsp;0." isn't numeric in numeric gt (>)
    
    gprofng/Changelog:
    2022-08-02  Ruud van der Pas  <ruud.vanderpas@oracle.com>
    
            PR gprofng/29410
            * gp-display-html/gp-display-html.in: Remove non-breaking spaces.
Comment 3 Vladimir Mezentsev 2022-08-03 17:35:38 UTC
Fixed in the master and binutils-2_39-branch branches.